[Debian-med-packaging] Bug#503367: Bug#503367: Bug#503367: Bug#503367: plink: file conflict with putty-tools

Teodor mteodor at gmail.com
Tue Oct 28 12:55:49 UTC 2008

On Tue, Oct 28, 2008 at 12:54 PM, Steffen Möller <steffen_moeller at gmx.de> wrote:
> Charles Plessy schrieb:
>> Le Tue, Oct 28, 2008 at 09:32:42AM +0200, Teodor a écrit :
>>> I still believe it is best to rename 'plink' to 'puttylink' in
>>> putty-tools binary package. Anyway, this should be fixed for squeeze
>>> since in lenny there is no conflict (plink is not included in lenny).

That was based on the assumption that the project name is well
established (plink).  I had no idea and I couldn't find on the project
site what 'p' stands for. A more appropriate and suggestive name for
the project is this one given by upstream: snplink.
I have a feeling that upstream will change the project name from plink
to something more appropriate (like snplink) to avoid the confusion.

>> Upstream documented the renaming on his website, so I think that that is the
>> (happy) end of the story :)

Yes, it is. :)

> To summarise things up: the renaming of the executable of plink to
> snplink renders the plink package inferior to a manual installation of
> plink under the proper name. What I'll do now unless I hear some
> objections that I am mentally prepared to follow: I'll prepare the new
> version, add the conflict to debian/control to close 503367 (won't fix)
> and herewith truly apologize for all these emails.

That would be serious bug against 'plink' according to Debian policy.
Read the whole thread starting at [1] or this specific message [2].


[1]  http://lists.debian.org/debian-devel/2008/10/msg00633.html
[2]  http://lists.debian.org/debian-devel/2008/10/msg00644.html

More information about the Debian-med-packaging mailing list